## guile-3.0 3.0.0+1

=== debian/changelog ===
guile-3.0 (3.0.0+1-1) unstable; urgency=medium

  * Upgrade to 3.0.0.

  * Don't use a fixed /tmp/repl-server path in 00-repl-server.test.  Add
    0007-00-repl-server.test-don-t-use-fixed-path-for-socket.patch to fix
    the problem.

  * Update debian/ for 3.0.

 -- Rob Browning <rlb@defaultvalue.org>  Sun, 26 Jan 2020 12:56:35 -0600

guile-2.2 (2.2.6+1-1) unstable; urgency=medium

  * Upgrade to 2.2.6. (Closes: 935256)

  * Change the /usr/share/slib trigger to interest-noawait.  From Julian
    Andres Klode's bug report:

      slib does not Depend on guile-libs, and I don't think it makes
      sense to add a Depends, so the trigger should be
      interest-noawait. (Triggering packages must Depend on the
      packages they are triggering otherwise ordering can be wrong,
      and installation can break).

      Now, there's also no point to not configure slib until
      guile-libs is triggered. It's enough to use noawait and thus
      only put guile-libs in the triggers-pending state, and it will
      be configured at the end of the apt run.

      Assuming a package wants to use guile with slib in its postinst,
      the package will need to Depend on both of them anyway, and that
      ensures proper ordering.

    Thanks to Julian Andres Klode for reporting the problem and Sebastien
    Bacher for providing the patch that Gianfranco Costamagna had already
    created. (Closes: #903907)

  * Don't fail the build if the after-gc-hook test fails.  Previously this
    was done for mips and mipsel.  Then a potential fix was added
    upstream, but the test has begun failing again on at least amd64, so
    for now, ignore it again.  Add
    0006-gc.test-after-gc-hook-mark-unresolved-on-failure-eve.patch to
    prevent the failure.

 -- Rob Browning <rlb@defaultvalue.org>  Sun, 01 Sep 2019 21:35:20 -0500

guile-2.2 (2.2.4+1-3) unstable; urgency=medium

  * Switch to dh_missing and ignore guile-X.Y for binary-indep.  Thanks to
    Santiago Vila for reporting the problem. (Closes: 930774)

 -- Rob Browning <rlb@defaultvalue.org>  Thu, 27 Jun 2019 00:10:54 -0500

guile-2.2 (2.2.4+1-2) unstable; urgency=medium

  * Backport upstream fix for after-gc-hook test failures.  Replace
    0006-gc.test-after-gc-hook-mark-unresolved-on-failure-for.patch that
    marked the failure as unresolved on mips(el) (a failure which has been
    seen since on at least sparc64 and amd64) with
    0006-Fix-gc.test-after-gc-hook-gets-called-failures.patch which
    addresses the underlying problem. (Closes: 900652)

  * Handle guile-config/guile-snarf/guild as alternatives.  Arrange for
    guile-config, guile-snarf, guild (and guile-tools) to be handled via
    update-alternatives with all of the other tools dependent on
    guile-config.  Configure with "--program-suffix -2.2" which gives the
    binaries the correct names from the start, so that we don't have to
    manually change them in debian/rules.  This also arranges for
    guile-config, etc. to refer to the versioned guile in their #! lines,
    which is what we should have been doing all along.

    Thanks to Ahmed El-Mahmoudy and Norbert Preining for reporting the
    problem, Kari Pahula and Vagrant Cascadian for help devising the fix,
    and Thibaut Paumard for help testing. (Closes: 926182)

 -- Rob Browning <rlb@defaultvalue.org>  Sun, 02 Jun 2019 11:17:15 -0500

guile-2.2 (2.2.4+1-1) unstable; urgency=medium

  * Upgrade to 2.2.4.

 -- Rob Browning <rlb@defaultvalue.org>  Sat, 28 Jul 2018 15:10:51 -0500

guile-2.2 (2.2.3+1-6) unstable; urgency=medium

  * Don't fail the build if the after-gc-hook test fails on mips(el).
    Add 0011-gc.test-after-gc-hook-mark-unresolved-on-failure-for.patch
    to resolve the issue. (Closes: 900652)

 -- Rob Browning <rlb@defaultvalue.org>  Sat, 21 Jul 2018 14:34:22 -0500

guile-2.2 (2.2.3+1-5) unstable; urgency=medium

  * Fix cross-commpilation failures.  Add four upstream patches to fix
    cross-compilation failures on a number of architectures:
      0007-load-thunk-from-memory-reports-the-correct-error.patch
      0008-Fix-error-reporting-in-load-thunk-from-memory.patch
      0009-compile-Load-language-modules-upfront.patch
      0010-elisp-Fix-cross-compilation-support.patch
    Thanks to Helmut Grohne for reporting the problem and helping me to
    reproduce it locally, and to Mark H Weaver for providing the solution.
    (Closes: 900203)

  * Make guile-libs' lintian overrides file arch independent.  Replace
    @MARCH@ with * for now, which is likely fine.  i.e. any file in
    /usr/lib/*guile/...*.go should be a guile compiled code.  Thanks to
    Francois Gouget for reporting the problem. (Closes: 897325)

 -- Rob Browning <rlb@defaultvalue.org>  Sat, 16 Jun 2018 10:30:14 -0500

guile-2.2 (2.2.3+1-4) unstable; urgency=medium

  * i18n.test: accommodate formatting changes in glibc 2.27.  Add
    0006-i18n.test-accommodate-formatting-changes-in-glibc-2..patch to
    look for a non-breaking space (\xa0) rather than an ASCII space as
    the thousands separator for the French locale. (Closes: 896582)

 -- Rob Browning <rlb@defaultvalue.org>  Mon, 21 May 2018 13:56:50 -0500

guile-2.2 (2.2.3+1-3) unstable; urgency=medium

  * Disable more of test-out-of-memory since it's still failing.  It's
    still failing on at least arm64.

 -- Rob Browning <rlb@defaultvalue.org>  Wed, 21 Feb 2018 23:52:49 -0600

guile-2.2 (2.2.3+1-2) unstable; urgency=medium

  * Disable sandbox.test "1e6 alloc loop" "allocation limit" test.  Add
    0003-Disable-sandbox.test-1e6-alloc-loop-allocation-limit.patch to
    disable a test that appears to be causing the test suite to to hang.

  * Disable intermittently failing test-out-of-memory case.  After
    consultation with upstream, add
    0004-Disable-intermittently-failing-test-out-of-memory-te.patch to
    disable a case in test-out-of-memory that was causing a FTBS on some
    architectures.  Thanks to Aaron M. Ucko for reporting the
    problem. (Closes: 880148)


