## guile-3.0 3.0.1%2B1

=== debian/changelog ===
guile-3.0 (3.0.1+1-2) unstable; urgency=medium

  * Allow simultaneous installation of newer guile-X.Y-dev packages.
    Handle the one remaining common path /usr/share/aclocal/guile.m4 via
    update-alternatives as guile-autoconf-macros, since the macros it
    includes are explicitly intended to work across versions, and relax
    the package restrictions to allow simultaneous installation of both
    guile-2.2-dev and guile-3.0-dev.

    Have guile-X.Y-dev conflict with guile-1.8 to handle its 1:1.4-24
    libguile-dev conflict.  Apparently we had an epoch and then perhaps
    dropped it when we went to versioned packages (whether we should have
    or not).  In any case, that's old enough that it should be safe to
    ignore it given this accommodation.

    Version the libguile-dev virtual package provision.

 -- Rob Browning <rlb@defaultvalue.org>  Sat, 11 Apr 2020 12:02:28 -0500

guile-3.0 (3.0.1+1-1) unstable; urgency=medium

  * Merge upstream version 3.0.1.

 -- Rob Browning <rlb@defaultvalue.org>  Wed, 18 Mar 2020 19:35:42 -0500

guile-3.0 (3.0.0+1-8) unstable; urgency=medium

  * debian/rules: disable the jit for arm* and x32 again.  The
    make-vtable-vtable patch didn't appear to help.

 -- Rob Browning <rlb@defaultvalue.org>  Mon, 16 Mar 2020 23:58:53 -0500

guile-3.0 (3.0.0+1-7) unstable; urgency=medium

  * Fix incorrect allocation size in make-vtable-vtable.  Add
    0011-Fix-incorrect-allocation-size-in-make-vtable-vtable.patch to
    incorporate the upstream fix.

  * debian/rules: stop setting --enable-jit=no for any architectures.
    Allow the defaults, so we can see if the make-vtable-vtable fix helps.

 -- Rob Browning <rlb@defaultvalue.org>  Mon, 16 Mar 2020 18:31:52 -0500

guile-3.0 (3.0.0+1-6) unstable; urgency=medium

  * debian/rules: set --enable-jit=no on armhf and x32 too.  They're
    demonstrating a similar segfault.

 -- Rob Browning <rlb@defaultvalue.org>  Sat, 14 Mar 2020 10:39:19 -0500

guile-3.0 (3.0.0+1-5) unstable; urgency=medium

  * debian/rules: add build progress watchdog for slower architectures.
    Print "still going" every 10 minutes during the build so that builds
    on mipsel, armel, etc. won't incorrectly time out.  Guile currently
    compiles some of the initial bootstrapping files for a very long time
    with no output.

    Impose a hard 10 hour limit on the build in case it really is stuck,
    which is a bit more than the longest time noticed in the current
    buildd logs.  If necessary, we could rework the whole process to take
    the architecture's expected performance into account.

 -- Rob Browning <rlb@defaultvalue.org>  Fri, 13 Mar 2020 18:21:30 -0500

guile-3.0 (3.0.0+1-4) unstable; urgency=medium

  * debian/rules: correct deb_config_args spelling when disabling jit.

 -- Rob Browning <rlb@defaultvalue.org>  Fri, 13 Mar 2020 00:56:43 -0500

guile-3.0 (3.0.0+1-3) unstable; urgency=medium

  * Disable jit on armel via target arch, not host arch.

 -- Rob Browning <rlb@defaultvalue.org>  Thu, 12 Mar 2020 20:51:52 -0500

guile-3.0 (3.0.0+1-2) unstable; urgency=medium

  * Install libguile-3.0-gdb.scm rather than libguile-2.2-gdb.scm.
    Add 0008-build-Actually-install-libguile-3.0-gdb.scm.patch to fix the
    issue.

  * Update libguile-2.2-gdb.scm to 3.0 in debian/copyright

  * Fix build on platforms where the stack grows upward.  Add
    0009-Fix-build-on-platforms-where-the-stack-grows-upwards.patch to
    incorporate the upstream fix. Thanks to John Paul Adrian Glaubitz for
    the improvement. (Closes: 950635)

  * Fix build on ia64.  Add 0010-Fix-build-on-ia64.patch to incorporate
    the upstream fix.  Thanks to John Paul Adrian Glaubitz for the fix.
    (Closes: 950653)

  * Disable jit on armel until the build segfault is fixed.

 -- Rob Browning <rlb@defaultvalue.org>  Tue, 10 Mar 2020 20:54:35 -0500
