## guile-3.0 3.0.1+1

=== debian/rules ===
--- 
+++ 
@@ -27,6 +27,11 @@
 # Keep this in sync with guile-doc.install
 expected_info := guile.info $(foreach n,1 2 3 4 5 6 7 8 9 10,guile.info-$(n))
 
+joblimit := $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
+ifeq (,$(joblimit))
+  joblimit := 1
+endif
+
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE := 1
 
@@ -76,6 +81,11 @@
   march = $(multiarch)/
 else
   march =
+endif
+
+deb_target_arch := $(shell dpkg-architecture -qDEB_TARGET_ARCH)
+ifneq (,$(filter $(deb_target_arch),armel armhf x32))
+  deb_config_args += --enable-jit=no
 endif
 
 export DEB_CFLAGS_MAINT_APPEND := \
@@ -172,7 +182,17 @@
 
 override_dh_auto_configure:
 	dh_auto_configure -- --disable-error-on-warning --disable-rpath \
-	  --program-suffix "-$(deb_src_eff_ver)"
+	  --program-suffix "-$(deb_src_eff_ver)" $(deb_config_args)
+
+# Because some of the bootstrapping files compile for a very long time
+# with no output, the buildds don't have per-package limits, and we
+# don't want to raise the global limit that high for the slower
+# architectures.
+override_dh_auto_build:
+	timeout 10h bash \
+	  -c 'while true; do echo "still going" 1>&2; sleep 600; done' & \
+	trap "kill $$!" EXIT \
+	&& $(MAKE) -j "$(joblimit)"
 
 override_dh_auto_clean:
         # If Makefile doesn't exist GNUmakefile will abort on distclean.
@@ -189,28 +209,3 @@
 	  bootstrap/srfi/ \
 	  bootstrap/system/ \
 	  debian/autogen.sed \
-	  doc/r5rs/r5rs.info \
-	  doc/ref/autoconf-macros.texi \
-	  doc/ref/effective-version.texi \
-	  doc/ref/guile.info \
-	  doc/ref/guile.info-1 \
-	  doc/ref/guile.info-10 \
-	  doc/ref/guile.info-2 \
-	  doc/ref/guile.info-3 \
-	  doc/ref/guile.info-4 \
-	  doc/ref/guile.info-5 \
-	  doc/ref/guile.info-6 \
-	  doc/ref/guile.info-7 \
-	  doc/ref/guile.info-8 \
-	  doc/ref/guile.info-9 \
-	  doc/ref/stamp-vti \
-	  doc/ref/version.texi \
-	  filesys-test-link.tmp \
-	  guile-procedures.txt \
-	  libguile/c-tokenize.c \
-	  libguile/cpp-E.c \
-	  libguile/cpp-SIG.c \
-	  libguile/vm-operations.h
-
-# Info pages are installed to /usr/share/info/guile-X.Y/ via
-# guile-doc.install, and handled via update-alternatives.
