## guile-3.0 3.0.2

=== debian/changelog ===
guile-3.0 (3.0.2-2ubuntu1) groovy; urgency=medium

  * Fix build with make 4.3.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 15 Jul 2020 00:10:28 +0200

guile-3.0 (3.0.2-2build1) groovy; urgency=medium

  * No-change rebuild for libgc soname change.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 14 Jul 2020 19:39:19 +0200

guile-3.0 (3.0.2-2) unstable; urgency=medium

  * debian/rules: exclude guile.m4 from arch all package install.

 -- Rob Browning <rlb@defaultvalue.org>  Thu, 16 Apr 2020 18:16:02 -0500

guile-3.0 (3.0.2-1) unstable; urgency=medium

  * Merge upstream version 3.0.2

  * debian/rules: expect an eleventh info page

 -- Rob Browning <rlb@defaultvalue.org>  Mon, 13 Apr 2020 21:29:49 -0500
