=== debian/rules ===
--- 
+++ 
@@ -25,7 +25,7 @@
 export HOME := $(CURDIR)/debian/no-trespassing
 
 # Keep this in sync with guile-doc.install
-expected_info := guile.info $(foreach n,1 2 3 4 5 6 7 8 9 10,guile.info-$(n))
+expected_info := guile.info $(foreach n,1 2 3 4 5 6 7 8 9 10 11,guile.info-$(n))
 
 joblimit := $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
 ifeq (,$(joblimit))
@@ -66,7 +66,7 @@
 deb_pkg_basename := guile-$(deb_src_eff_ver)
 deb_guile_bin_path := /usr/bin/guile-$(deb_src_eff_ver)
 
-ifneq (ok,$(shell x='$(deb_src_min_ver)';  [ "$${\#x}" -lt 4 ] && echo ok;))
+ifneq (ok,$(shell x='$(deb_src_min_ver)';  [ "$${#x}" -lt 4 ] && echo ok;))
   $(error ERROR: alternatives priority expects min version < 1000)
 endif
