## guile-3.0 3.0.4

=== debian/changelog ===
guile-3.0 (3.0.4-3~mx19+1) mx; urgency=medium

  * Initial packaging of upstream release for MX 19.

 -- SwampRabbit <swamprabbit@mxlinux.org>  Sat, 09 Jan 2021 20:33:38 -0500

guile-3.0 (3.0.4-3) unstable; urgency=medium

  * Fix "non-revealed port is closed" ports.test.  Don't close the test
    port's file descriptor because the port still has a reference to it,
    and could still close it at any time when finally garbage collected.
    This was reliably breaking subsequent tests on s390x.  Add
    0007-Fix-non-revealed-port-is-closed-ports.test.patch to fix the
    problem.

 -- Rob Browning <rlb@defaultvalue.org>  Sat, 19 Sep 2020 14:48:42 -0500

guile-3.0 (3.0.4-2) unstable; urgency=medium

  * Mark test-out-of-memory as an expected failure for now.  Since this
    test has been failing for a long time on various architectures, mark
    it as expected to fail for now so that we'll still run it and can see
    the results, but won't be blocked by it.  There are known issues with
    the test upstream, and at least in some past cases it's been possible
    to reproduce the failure quickly by running
    test-suite/standalone/test-out-of-memory in a loop.  Add
    0005-Mark-test-out-of-memory-as-an-expected-failure-for-n.patch to
    incorporate the change. (Closes: 966300)

  * Monitor test failues on ppc64el again (don't ignore dh_auto_test) Now
    that we've marked test-out-of-memory as an expected failure stop
    ignoring dh_auto_test failures on ppc64el. (Closes: 966300, 969707)

  * Disable unresolved "mixed type" numbers.test division tests on i686.
    Add 0006-numbers.test-disable-unresolved-mixed-type-division-.patch to
    incorporate the changes.

  * Monitor test failures on i386 again (don't ignore dh_auto_test) Now
    that we've marked the related numbers.test "mixed types" tests as
    expected failures on i386, stop ignoring dh_auto_test failures there.
    (Closes: 968403)

  * Don't include files generated from examples/Makefile.am in debs.
    Thanks to Vagrant Cascadian for reporting the problem.
    (Closes: 953407)

 -- Rob Browning <rlb@defaultvalue.org>  Wed, 16 Sep 2020 21:00:34 -0500

guile-3.0 (3.0.4-1.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Also ignore test results on i386, failing numbers.test. See #968403.

 -- Matthias Klose <doko@debian.org>  Fri, 14 Aug 2020 19:58:50 +0200

guile-3.0 (3.0.4-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Ignore the test results on ppc64el (OOM related failures). See #966300.

 -- Matthias Klose <doko@debian.org>  Fri, 14 Aug 2020 11:37:52 +0200

guile-3.0 (3.0.4-1) unstable; urgency=medium

  * Upgrade to 3.0.4

  * debian/rules: fix deb_src_min_ver limit check.

 -- Rob Browning <rlb@defaultvalue.org>  Tue, 14 Jul 2020 21:39:31 -0500
