=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: guile-3.0
 Section: interpreters
 Priority: optional
-Maintainer: Rob Browning <rlb@defaultvalue.org>
+Maintainer: SwampRabbit <swamprabbit@mxlinux.org>
+XSBC-Original-Maintainer: Rob Browning <rlb@defaultvalue.org>
 Build-Depends: libtool, debhelper (>= 9), autoconf, automake, dh-autoreconf,
  guile-3.0:native <cross>,
  libncurses5-dev, libreadline-dev, libltdl-dev, libgmp-dev, texinfo, flex,
@@ -27,8 +28,8 @@
 Package: guile-3.0-dev
 Section: lisp
 Architecture: any
-Provides: libguile-dev
-Conflicts: libguile-dev
+Provides: libguile-dev (= ${binary:Version})
+Conflicts: guile-1.8, libguile-dev (<< 2.2.7+1-4), guile-3.0-dev (<< 3.0.1+1-2)
 Depends: ${shlibs:Depends}, guile-3.0:any (= ${binary:Version}),
  guile-3.0-libs (= ${binary:Version}), libc6-dev,
  libncurses5-dev, libreadline6-dev, libltdl-dev, libgmp-dev, libgc-dev,
