=== debian/rules ===
--- 
+++ 
@@ -66,7 +66,7 @@
 deb_pkg_basename := guile-$(deb_src_eff_ver)
 deb_guile_bin_path := /usr/bin/guile-$(deb_src_eff_ver)
 
-ifneq (ok,$(shell x='$(deb_src_min_ver)';  [ "$${#x}" -lt 4 ] && echo ok;))
+ifneq (ok,$(shell x='$(deb_src_min_ver)';  [ "$${x}" -lt 1000 ] && echo ok;))
   $(error ERROR: alternatives priority expects min version < 1000)
 endif
 
@@ -102,6 +102,9 @@
 
 %:
 	dh $@ --parallel --with autoreconf
+
+override_dh_strip:
+	dh_strip --no-automatic-dbgsym
 
 .PHONY: check-vars
 check-vars:
@@ -207,5 +210,3 @@
 	  bootstrap/ice-9/ \
 	  bootstrap/language/ \
 	  bootstrap/srfi/ \
-	  bootstrap/system/ \
-	  debian/autogen.sed \
