=== debian/changelog ===
guile-3.0 (3.0.5-4) unstable; urgency=medium

  * Really don't replace GNU MP malloc/free with libgc's.  The previous
    fix had missed a spot.  Thanks to Andrew Whatson for tracking it
    down. (Closes: 982217)

 -- Rob Browning <rlb@defaultvalue.org>  Thu, 11 Mar 2021 20:04:49 -0600

guile-3.0 (3.0.5-3) unstable; urgency=medium

  * Don't replace GNU MP's malloc/free with the Boehm-Demers-Weiser GC's.
    This can break applications that link against libguile and libgmp.
    Add 0009-Stop-requesting-that-GNU-MP-use-the-Boehm-Demers-Wei.patch to
    address the issue.  Thanks to Andreas Metzler for reporting the
    problem and Ludovic Courtès for proposing the solution.
    (Closes: 982217)

 -- Rob Browning <rlb@defaultvalue.org>  Wed, 10 Mar 2021 18:59:31 -0600

guile-3.0 (3.0.5-2) unstable; urgency=medium

  * Mark asyncs.test "preemption via sigprof" test as unresolved for now.
    Add 0008-Mark-preemption-via-sigprof-test-as-an-expected-fail.patch to
    address the issue.  Thanks to Helmut Grohne for reporting the
    issue. (Closes: 980498)

 -- Rob Browning <rlb@defaultvalue.org>  Thu, 04 Feb 2021 21:20:38 -0600

guile-3.0 (3.0.5-1) unstable; urgency=medium

  * Merge upstream version 3.0.5.

 -- Rob Browning <rlb@defaultvalue.org>  Tue, 12 Jan 2021 19:16:42 -0600
