=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: guile-3.0
 Section: interpreters
 Priority: optional
-Maintainer: SwampRabbit <swamprabbit@mxlinux.org>
-XSBC-Original-Maintainer: Rob Browning <rlb@defaultvalue.org>
+Maintainer: Rob Browning <rlb@defaultvalue.org>
 Build-Depends: libtool, debhelper (>= 9), autoconf, automake, dh-autoreconf,
  guile-3.0:native <cross>,
  libncurses5-dev, libreadline-dev, libltdl-dev, libgmp-dev, texinfo, flex,
