=== debian/rules ===
--- 
+++ 
@@ -102,9 +102,6 @@
 
 %:
 	dh $@ --parallel --with autoreconf
-
-override_dh_strip:
-	dh_strip --no-automatic-dbgsym
 
 .PHONY: check-vars
 check-vars:
@@ -210,3 +207,5 @@
 	  bootstrap/ice-9/ \
 	  bootstrap/language/ \
 	  bootstrap/srfi/ \
+	  bootstrap/system/ \
+	  debian/autogen.sed \
