## guile-3.0 3.0.7

=== debian/changelog ===
guile-3.0 (3.0.7-deepin1+rb4) unstable; urgency=medium

  * Rebuild
  * update version
  * Add the debian upstream patch

 -- Deepin Packages Builder <packages@deepin.org>  Wed, 23 Nov 2022 13:16:15 +0800

guile-3.0 (3.0.7-1) unstable; urgency=medium

  * Upgrade to 3.0.7.

  * Fix crash on #nil in syntaxes.  Cherry-pick upstream patch as
    0009-Fix-crash-on-nil-in-syntaxes.patch to address the problem.

  * debian/control: add gperf as a build dependency.  This is now required
    when not building from a release archive, and we build directly from
    the source.

 -- Rob Browning <rlb@defaultvalue.org>  Thu, 26 Aug 2021 16:21:59 -0500
