## guile-3.0 3.0.8

=== debian/changelog ===
guile-3.0 (3.0.8-2) unstable; urgency=medium

  * Adjust GUILE_OPTIMIZATIONS to fix 32-bit big endian builds.  Add
    0009-Fix-32-bit-big-endian-builds-via-Oresolve-primitives.patch to
    incorporate the changes.  Thanks to John David Anglin for reporting
    the problem and investigating the problem, and to John Paul Adrian
    Glaubitz for helping devise the solution. (Closes: 977223)

  * Build --without-threads on alpha to fix FTBS.  This will require
    rebuilding all of the reverse dependencies.  Thanks to John Paul
    Adrian Glaubitz for reporting the problem and pursuing the
    solution. (Closes: 995614)

 -- Rob Browning <rlb@defaultvalue.org>  Sat, 05 Mar 2022 16:19:25 -0600

guile-3.0 (3.0.8-1) unstable; urgency=medium

  * Upgrade to 3.0.8.

 -- Rob Browning <rlb@defaultvalue.org>  Sun, 27 Feb 2022 13:52:18 -0600
