=== debian/control ===
--- 
+++ 
@@ -3,6 +3,7 @@
 Priority: optional
 Maintainer: Rob Browning <rlb@defaultvalue.org>
 Build-Depends: libtool, debhelper (>= 9), autoconf, automake, dh-autoreconf,
+ gperf,
  guile-3.0:native <cross>,
  libncurses5-dev, libreadline-dev, libltdl-dev, libgmp-dev, texinfo, flex,
  libunistring-dev, libgc-dev, libffi-dev, pkg-config
