=== debian/rules ===
--- 
+++ 
@@ -86,6 +86,9 @@
 deb_target_arch := $(shell dpkg-architecture -qDEB_TARGET_ARCH)
 ifneq (,$(filter $(deb_target_arch),armel armhf x32))
   deb_config_args += --enable-jit=no
+endif
+ifneq (,$(filter $(deb_target_arch),alpha))
+  deb_config_args += --without-threads
 endif
 
 export DEB_CFLAGS_MAINT_APPEND := \
@@ -205,7 +208,3 @@
 	  .version \
 	  blarg-clean \
 	  bootstrap/ice-9/ \
-	  bootstrap/language/ \
-	  bootstrap/srfi/ \
-	  bootstrap/system/ \
-	  debian/autogen.sed \
