## guile-3.0 3.0.9

=== debian/changelog ===
guile-3.0 (3.0.9-1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 08:55:53 +0000

guile-3.0 (3.0.9-1build1) noble; urgency=medium

  * No-change rebuild for libreadline8t64.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 10 Mar 2024 22:29:06 +0100

guile-3.0 (3.0.9-1) unstable; urgency=medium

  * Upgrade to 3.0.9.

  * debian/copyright: convert to copyright-format 1.0 and expand.

  * debian/rules: switch to buildopts.mk for parallel.

  * debian/.gitignore: add autogen.sed.

  * debian/control: migrate from libncurses5-dev to libncurses-dev.

  * debian/rules: don't ignore make clean errors; let dh_clean handle it.

  * debian/control: migrate from pkg-config to pkgconf.

  * Migrate to debhelper compatibility level 10.

 -- Rob Browning <rlb@defaultvalue.org>  Tue, 13 Feb 2024 15:39:48 -0600
