=== debian/control ===
--- 
+++ 
@@ -1,12 +1,13 @@
 Source: guile-3.0
 Section: interpreters
 Priority: optional
-Maintainer: Rob Browning <rlb@defaultvalue.org>
-Build-Depends: libtool, debhelper (>= 9), autoconf, automake, dh-autoreconf,
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Rob Browning <rlb@defaultvalue.org>
+Build-Depends: libtool, debhelper-compat (= 10), autoconf, automake,
  gperf,
  guile-3.0:native <cross>,
- libncurses5-dev, libreadline-dev, libltdl-dev, libgmp-dev, texinfo, flex,
- libunistring-dev, libgc-dev, libffi-dev, pkg-config
+ libncurses-dev, libreadline-dev, libltdl-dev, libgmp-dev, texinfo, flex,
+ libunistring-dev, libgc-dev, libffi-dev, pkgconf
 Standards-Version: 3.7.2
 Homepage: http://www.gnu.org/software/guile/
 
@@ -32,8 +33,8 @@
 Conflicts: guile-1.8, libguile-dev (<< 2.2.7+1-4), guile-3.0-dev (<< 3.0.1+1-2)
 Depends: ${shlibs:Depends}, guile-3.0:any (= ${binary:Version}),
  guile-3.0-libs (= ${binary:Version}), libc6-dev,
- libncurses5-dev, libreadline6-dev, libltdl-dev, libgmp-dev, libgc-dev,
- pkg-config, ${misc:Depends}
+ libncurses-dev, libreadline6-dev, libltdl-dev, libgmp-dev, libgc-dev,
+ pkgconf, ${misc:Depends}
 Description: Development files for Guile 3.0
  This package contains files needed for development using Guile 3.0.
  .
