=== debian/rules ===
--- 
+++ 
@@ -7,6 +7,8 @@
 #   Adjust debian/guile-libs.lintian.
 #   Adjust debian/.gitignore.
 #   Fix deb_alt_priority below.
+
+include /usr/share/dpkg/buildopts.mk
 
 SHELL := /bin/bash
 
@@ -27,10 +29,7 @@
 # Keep this in sync with guile-doc.install
 expected_info := guile.info $(foreach n,1 2 3 4 5 6 7 8 9 10 11,guile.info-$(n))
 
-joblimit := $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
-ifeq (,$(joblimit))
-  joblimit := 1
-endif
+joblimit := $(or $(DEB_BUILD_OPTION_PARALLEL),1)
 
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE := 1
@@ -104,7 +103,7 @@
 endef
 
 %:
-	dh $@ --parallel --with autoreconf
+	dh $@
 
 .PHONY: check-vars
 check-vars:
@@ -154,6 +153,9 @@
   guile-$(deb_src_eff_ver)-libs.prerm \
   guile-$(deb_src_eff_ver)-libs.triggers)
 
+debian/source/lintian-overrides: debian/source-lintian-overrides.in debian/autogen.sed
+	sed -f debian/autogen.sed "$<" > "$@.tmp"
+	mv "$@.tmp" "$@"
 debian/guile-$(deb_src_eff_ver).%: debian/guile.% debian/autogen.sed
 	sed -f debian/autogen.sed "$<" > "$@.tmp"
 	mv "$@.tmp" "$@"
@@ -175,7 +177,7 @@
 	    > "$@".tmp
 	mv "$@.tmp" "$@"
 
-override_dh_testdir:
+override_dh_testdir: debian/source/lintian-overrides
 	$(checkdir)
 
 override_dh_autoreconf:
@@ -202,9 +204,3 @@
 	if test -e Makefile; then make distclean; fi
 
 override_dh_clean:
-	-$(MAKE) -C prebuilt clean
-	dh_clean $(autogen_install_files) $(autogen_installdeb_files) \
-	  .tarball-version \
-	  .version \
-	  blarg-clean \
-	  bootstrap/ice-9/ \
