## guile-3.0 3.0.10

=== debian/changelog ===
guile-3.0 (3.0.10-1) unstable; urgency=medium

  * Upgrade to 3.0.10.

  * debian/rules: switch to dpkg pkg-info.mk.

  * debian/rules: switch to dpkg architecture.mk.

  * debian/control: relax libc6-dev dependency to libc-dev.  Thanks to
    Helmut Grohne for the report and the fix. (Closes: 1008712)

  * debian/control: drop install-info dependency.  Thanks to Hilmar
    Preusse for the report. (Closes: 1013197)

 -- Rob Browning <rlb@defaultvalue.org>  Sat, 29 Jun 2024 16:24:59 -0500
