=== debian/rules ===
--- 
+++ 
@@ -8,20 +8,11 @@
 #   Adjust debian/.gitignore.
 #   Fix deb_alt_priority below.
 
+include /usr/share/dpkg/architecture.mk
 include /usr/share/dpkg/buildopts.mk
+include /usr/share/dpkg/pkg-info.mk
 
 SHELL := /bin/bash
-
-pf := set -o pipefail
-
-# Mess to check the exit status of shell commands.  To use it, make sure
-# all shell invocations end with $(rc) to print $?, and then pass the
-# shell output through shout, which will strip off the exit status if
-# it's 0, or crash with diagnostic information if it's not.
-chop = $(wordlist 2,$(words $1),x $1)
-rc := echo " $$?"
-diesh = $(info $(call chop,$(1)))$(info exit: $(lastword $(1)))$(error ($2))
-shout = $(if $(lastword $(1)),$(if $(subst 0,,$(lastword $(1))),$(call diesh,$(1),$(2)),$(call chop,$(1))),$(call diesh,$(1),$(2)))
 
 # Make sure the build process doesn't touch the real HOME.
 export HOME := $(CURDIR)/debian/no-trespassing
@@ -34,32 +25,13 @@
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE := 1
 
-# The version from the changelog (i.e. 2.0.3-1)
-deb_src_ver := $(shell dpkg-parsechangelog -S version; $(rc))
-deb_src_ver := $(call shout,$(deb_src_ver),dpkg-parsechangelog failed)
-
-# The Debian revision, everything after the last '-' (i.e. the 1 from 2.0.3-1)
-deb_src_rev := $(shell $(pf); echo $(deb_src_ver) | sed -e 's/.*-//'; $(rc))
-deb_src_rev := $(call shout,$(deb_src_rev),unable to get deb_src_rev)
-
-# Upstream version, everything before the last '-'.
-deb_src_ver := $(shell $(pf); echo $(deb_src_ver) | sed -e 's/-[^-]*//'; $(rc))
-deb_src_ver := $(call shout,$(deb_src_ver),unable to get deb_src_ver)
-
-deb_src_src_rev := \
-  $(shell $(pf); echo $(deb_src_ver) | sed -re 's/.*\+([0-9]+).*/\1/'; $(rc))
-deb_src_src_rev := $(call shout,$(deb_src_src_rev),unable to get deb_src_src_rev)
-
-upstream_ver := $(shell $(pf); echo $(deb_src_ver) | sed -e 's/\+.*//'; $(rc))
-upstream_ver := $(call shout,$(upstream_ver),unable to get upstream_ver)
-
-# Upstream components
-deb_src_maj_ver := $(shell $(pf); echo $(upstream_ver) | cut -d. -f 1; $(rc))
-deb_src_min_ver := $(shell $(pf); echo $(upstream_ver) | cut -d. -f 2; $(rc))
-deb_src_mic_ver := $(shell $(pf); echo $(upstream_ver) | cut -d. -f 3; $(rc))
-deb_src_maj_ver := $(call shout,$(deb_src_maj_ver),unable to get deb_src_maj_ver)
-deb_src_min_ver := $(call shout,$(deb_src_min_ver),unable to get deb_src_min_ver)
-deb_src_mic_ver := $(call shout,$(deb_src_mic_ver),unable to get deb_src_mic_ver)
+# Upstream version, everything before the last '-', no epoch
+deb_src_ver := $(DEB_VERSION_UPSTREAM)
+
+upstream_ver := $(firstword $(subst +, ,$(deb_src_ver))) # 1.2.3+1 -> 1.2.3
+deb_src_maj_ver := $(word 1,$(subst ., ,$(upstream_ver)))
+deb_src_min_ver := $(word 2,$(subst ., ,$(upstream_ver)))
+deb_src_mic_ver := $(word 3,$(subst ., ,$(upstream_ver)))
 
 deb_src_eff_ver := $(deb_src_maj_ver).$(deb_src_min_ver)
 deb_pkg_basename := guile-$(deb_src_eff_ver)
@@ -74,25 +46,22 @@
 # i.e. 3.0 -> 3000, 3.1 -> 3001, 3.2 -> 3002, etc.
 deb_alt_priority := $(deb_src_maj_ver)$(shell printf "%03d" $(deb_src_min_ver))
 
-multiarch := $(shell dpkg-architecture -qDEB_HOST_MULTIARCH; $(rc))
-multiarch := $(call shout,$(multiarch),dpkg-architecture failed)
-ifneq ($(multiarch),)
-  march = $(multiarch)/
+ifneq ($(DEB_HOST_MULTIARCH),)
+  march = $(DEB_HOST_MULTIARCH)/
 else
   march =
 endif
 
-deb_target_arch := $(shell dpkg-architecture -qDEB_TARGET_ARCH)
-ifneq (,$(filter $(deb_target_arch),armel armhf x32))
+ifneq (,$(filter $(DEB_TARGET_ARCH),armel armhf x32))
   deb_config_args += --enable-jit=no
 endif
-ifneq (,$(filter $(deb_target_arch),alpha))
+ifneq (,$(filter $(DEB_TARGET_ARCH),alpha))
   deb_config_args += --without-threads
 endif
 
 export DEB_CFLAGS_MAINT_APPEND := \
   -DPACKAGE_PACKAGER='"Debian"' \
-  -DPACKAGE_PACKAGER_VERSION='"$(upstream_ver)-deb+$(deb_src_src_rev)-$(deb_src_rev)"' \
+  -DPACKAGE_PACKAGER_VERSION='"$(DEB_VERSION)"' \
   -DPACKAGE_PACKAGER_BUG_REPORTS='"http://www.debian.org/Bugs/Reporting"'
 
 # https://debbugs.gnu.org/29464
@@ -114,8 +83,6 @@
 	@echo " deb_src_maj_ver:" $(deb_src_maj_ver)
 	@echo " deb_src_min_ver:" $(deb_src_min_ver)
 	@echo " deb_src_mic_ver:" $(deb_src_mic_ver)
-	@echo " deb_src_src_rev:" $(deb_src_src_rev)
-	@echo "     deb_src_rev:" $(deb_src_rev)
 	@echo "deb_alt_priority:" $(deb_alt_priority)
 
 # For now, assumes there are no "|" characters in the expansions.
@@ -204,3 +171,60 @@
 	if test -e Makefile; then make distclean; fi
 
 override_dh_clean:
+	dh_clean $(autogen_install_files) $(autogen_installdeb_files) \
+	  .tarball-version \
+	  .version \
+	  blarg-clean \
+	  bootstrap/ice-9/ \
+	  bootstrap/language/ \
+	  bootstrap/srfi/ \
+	  bootstrap/system/ \
+	  debian/autogen.sed \
+	  doc/r5rs/r5rs.info \
+	  doc/ref/autoconf-macros.texi \
+	  doc/ref/effective-version.texi \
+	  doc/ref/guile.info \
+	  doc/ref/guile.info-1 \
+	  doc/ref/guile.info-10 \
+	  doc/ref/guile.info-11 \
+	  doc/ref/guile.info-2 \
+	  doc/ref/guile.info-3 \
+	  doc/ref/guile.info-4 \
+	  doc/ref/guile.info-5 \
+	  doc/ref/guile.info-6 \
+	  doc/ref/guile.info-7 \
+	  doc/ref/guile.info-8 \
+	  doc/ref/guile.info-9 \
+	  doc/ref/stamp-vti \
+	  doc/ref/version.texi \
+	  filesys-test-link.tmp \
+	  guile-procedures.txt \
+	  libguile/c-tokenize.c \
+	  libguile/cpp-E.c \
+	  libguile/cpp-SIG.c \
+	  libguile/vm-operations.h
+
+# Info pages are installed to /usr/share/info/guile-X.Y/ via
+# guile-doc.install, and handled via update-alternatives.
+override_dh_installinfo:
+	true
+
+override_dh_auto_install: $(autogen_install_files)
+	make DESTDIR="$$(pwd)/debian/tmp" INSTALL='install -p' install
+	rm -f debian/tmp/usr/lib/$(march)libguile*.la
+	mkdir -p debian/tmp/usr/share/doc/$(deb_pkg_basename)-dev
+	cp -a examples debian/tmp/usr/share/doc/$(deb_pkg_basename)-dev
+	cd debian/tmp/usr/share/doc/$(deb_pkg_basename)-dev/examples \
+	  && rm Makefile Makefile.in
+
+gdb_ext := \
+  debian/$(deb_pkg_basename)-libs/usr/lib/$(march)libguile-$(deb_src_eff_ver).so*-gdb.scm
+gdb_ext_dir := debian/$(deb_pkg_basename)-dev/usr/share/gdb/auto-load
+
+override_dh_install-arch: $(autogen_install_files)
+	cd debian/tmp/usr/bin && mv -i guile-$(deb_src_eff_ver) guile
+	cd debian/tmp/usr/share/aclocal && mv -i guile.m4 guile-$(deb_src_eff_ver).m4
+	dh_install -a
+	dh_missing -a --fail-missing \
+	  -Xusr/lib/$(march)guile/$(deb_src_eff_ver)/extensions/guile-readline.a \
+	  -Xusr/lib/$(march)guile/$(deb_src_eff_ver)/extensions/guile-readline.la
